org.apache.tapestry5.internal.alerts

## Class AlertManagerImpl

- java.lang.Object
- - org.apache.tapestry5.internal.alerts.AlertManagerImpl

- All Implemented Interfaces:
    AlertManager

      public class AlertManagerImpl
      extends Object
      implements AlertManager

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlertManagerImpl(ApplicationStateManager asm, Request request, AjaxResponseRenderer ajaxResponseRenderer, PerthreadManager perThreadManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `alert(Duration duration, Severity severity, String message)` Adds an alert with configurable severity and duration.
    `void` | `alert(Duration duration, Severity severity, String message, boolean markup)` Adds an alert with configurable severity and duration.
    `void` | `error(String message)` Adds an `Severity.ERROR` alert with the default duration, `Duration.SINGLE`.
    `void` | `info(String message)` Adds an `Severity.INFO` alert with the default duration, `Duration.SINGLE`.
    `void` | `success(String message)` Adds an `Severity.SUCCESS` alert with the default duration, `Duration.SINGLE`.
    `void` | `warn(String message)` Adds an `Severity.WARN` alert with the default duration, `Duration.SINGLE`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlertManagerImpl

          public AlertManagerImpl(ApplicationStateManager asm,
                                  Request request,
                                  AjaxResponseRenderer ajaxResponseRenderer,
                                  PerthreadManager perThreadManager)

  - ### Method Detail

    - #### success

          public void success(String message)

      Description copied from interface: `AlertManager`
      Adds an `Severity.SUCCESS` alert with the default duration, `Duration.SINGLE`.
      Specified by:
        `success` in interface `AlertManager`
      Parameters:
        `message` - to present to the user

    - #### info

          public void info(String message)

      Description copied from interface: `AlertManager`
      Adds an `Severity.INFO` alert with the default duration, `Duration.SINGLE`.
      Specified by:
        `info` in interface `AlertManager`
      Parameters:
        `message` - to present to the user

    - #### warn

          public void warn(String message)

      Description copied from interface: `AlertManager`
      Adds an `Severity.WARN` alert with the default duration, `Duration.SINGLE`.
      Specified by:
        `warn` in interface `AlertManager`
      Parameters:
        `message` - to present to the user

    - #### error

          public void error(String message)

      Description copied from interface: `AlertManager`
      Adds an `Severity.ERROR` alert with the default duration, `Duration.SINGLE`.
      Specified by:
        `error` in interface `AlertManager`
      Parameters:
        `message` - to present to the user

    - #### alert

          public void alert(Duration duration,
                            Severity severity,
                            String message)

      Description copied from interface: `AlertManager`
      Adds an alert with configurable severity and duration. Message isn't treated as HTML, being HTML-escaped.
      Specified by:
        `alert` in interface `AlertManager`
      Parameters:
        `duration` - controls how long the alert is presented to the user
        `severity` - controls how the alert is presented to the user
        `message` - to present to the user

    - #### alert

          public void alert(Duration duration,
                            Severity severity,
                            String message,
                            boolean markup)

      Description copied from interface: `AlertManager`
      Adds an alert with configurable severity and duration.
      Specified by:
        `alert` in interface `AlertManager`
      Parameters:
        `duration` - controls how long the alert is presented to the user
        `severity` - controls how the alert is presented to the user
        `message` - to present to the user
        `markup` - whether to treat the message as raw HTML (true) or escape it (false).

5.6.1 - Copyright © 2003-2020 The Apache Software Foundation.